version: '2.1'
services:
  portal:
    image: duosecurity/network-gateway@sha256:1f976d6b673c08ddb9cf3624fcd1f630de4a5a953294ac079282287c5b46dc4a
    environment:
      - "ENABLE_HA=1"
      - REDIS_HOST
      - REDIS_PORT
      - REDIS_AUTH
      - REDIS_CA_CERTS
      - REDIS_USE_SSL
      - APERTURE_NPROCS
    ports:
      - "80:80"
      - "443:443"
    container_name: network-gateway-portal
    sysctls:
      - net.core.somaxconn=32768
    restart: always
    ulimits:
      nofile:
        soft: 65536
        hard: 65536
    logging:
      driver: json-file
      options:
        max-size: "50m"
        max-file: "20"
